
#include <bits/stdc++.h>

using namespace std;

int n = 10000;

int isin(int a) {
    return a<8 && a>=0;
}

int posmoves(int x, int y) {
    int p = 0;
    if(isin(x+1) && isin(y+2)) p++;
    if(isin(x+1) && isin(y-2)) p++;
    if(isin(x+2) && isin(y+1)) p++;
    if(isin(x+2) && isin(y-1)) p++;
    if(isin(x-1) && isin(y+2)) p++;
    if(isin(x-1) && isin(y-2)) p++;
    if(isin(x-2) && isin(y+1)) p++;
    if(isin(x-2) && isin(y-1)) p++;
    return p;
}

vector<vector<vector<long double> > > b(8, vector<vector<long double>>( 8, vector<long double> (n,0)));
vector<vector<vector<long double> > > w(8, vector<vector<long double>>( 8, vector<long double> (n,0)));

int main() {
    int bx, by, wx, wy;
    cin >> bx >> by >> wx >> wy;
    bx--; by--; wx--; wy--;
    b[bx][by][0]=1;
    w[wx][wy][0]=1;
    for(int i = 1; i<n; i++) {
        for(int j = 0; j<8; j++) {
            for(int k = 0; k<8; k++) {
                    
                if(isin(j+1) && isin(k+2)) { w[j][k][i] += w[j+1][k+2][i-1]/posmoves(j+1,k+2); } 
                if(isin(j+1) && isin(k-2)) { w[j][k][i] += w[j+1][k-2][i-1]/posmoves(j+1,k-2); } 
                if(isin(j+2) && isin(k+1)) { w[j][k][i] += w[j+2][k+1][i-1]/posmoves(j+2,k+1); } 
                if(isin(j+2) && isin(k-1)) { w[j][k][i] += w[j+2][k-1][i-1]/posmoves(j+2,k-1); } 
                if(isin(j-1) && isin(k+2)) { w[j][k][i] += w[j-1][k+2][i-1]/posmoves(j-1,k+2); } 
                if(isin(j-1) && isin(k-2)) { w[j][k][i] += w[j-1][k-2][i-1]/posmoves(j-1,k-2); } 
                if(isin(j-2) && isin(k+1)) { w[j][k][i] += w[j-2][k+1][i-1]/posmoves(j-2,k+1); } 
                if(isin(j-2) && isin(k-1)) { w[j][k][i] += w[j-2][k-1][i-1]/posmoves(j-2,k-1); } 
                
                if(isin(j+1) && isin(k+2)) { b[j][k][i] += b[j+1][k+2][i-1]/posmoves(j+1,k+2); } 
                if(isin(j+1) && isin(k-2)) { b[j][k][i] += b[j+1][k-2][i-1]/posmoves(j+1,k-2); } 
                if(isin(j+2) && isin(k+1)) { b[j][k][i] += b[j+2][k+1][i-1]/posmoves(j+2,k+1); } 
                if(isin(j+2) && isin(k-1)) { b[j][k][i] += b[j+2][k-1][i-1]/posmoves(j+2,k-1); } 
                if(isin(j-1) && isin(k+2)) { b[j][k][i] += b[j-1][k+2][i-1]/posmoves(j-1,k+2); } 
                if(isin(j-1) && isin(k-2)) { b[j][k][i] += b[j-1][k-2][i-1]/posmoves(j-1,k-2); } 
                if(isin(j-2) && isin(k+1)) { b[j][k][i] += b[j-2][k+1][i-1]/posmoves(j-2,k+1); } 
                if(isin(j-2) && isin(k-1)) { b[j][k][i] += b[j-2][k-1][i-1]/posmoves(j-2,k-1); } 
            }
        }
    }
    long double wwin=0, bwin=0;
    for(int j = 0; j<8; j++) {
        for(int k = 0; k<8; k++) {
            for(int i = 1; i<n; i++) {
                bwin+= w[j][k][i] * b[j][k][i];
                wwin+= w[j][k][i] * b[j][k][i-1];
            }
        }
    }    
    if(fabs(wwin-bwin)<0.000001) {
        cout << "draw";
    }
    else if(wwin > bwin) {
        cout << "white";
    }
    else {
        cout << "black";
    }
    cout << endl;
}

